Subject: Re: 28.0.50; regression in commit c7c154bb, minibuffer is not closed after opening a file

From: Platon Pronko <[email-masked]>
Date: Sun, 31 Jan 2021 11:54:24 +0300

Hi!

> No problem, but I don't think you did.  There were real bugs connected
> with input methods, and I think your initial scenario highlighted one of
> these bugs.

I'm glad to hear that!

> It hasn't gone away for me.  

This is quite strange. (minibufferp) guard was supposed to avoid running
any code whatsoever on minibuffer, so there shouldn't be any calls
to activate-input-method and associated bugs shouldn't be triggered.

Here's the code I'm talking about, just in case:

(define-minor-mode dvorak-minor-mode "Use english-dvorak input method." :lighter nil
   (if (and dvorak-minor-mode (not (minibufferp)))
     (activate-input-method "english-dvorak")))
(define-global-minor-mode global-dvorak-mode dvorak-minor-mode dvorak-minor-mode)
(global-dvorak-mode t)

Best regards,
Platon Pronko